Subject: [ifmib] IfHC* couters support for Ethernet interfaces

From: Eduardo Cardona <[email-masked]>
Date: Fri, 16 Aug 2002 13:00:03 -0600

Hi all,

Since RFC 1573 IfHC counters are supported. But I am not sure if It can apply to ethernet iftype(6) interfaces ( for 100 mpbs and up)

My question is Must ethernet type of Interfaces >20  Mbps support HC counters as defined in RFC6863? 

My little search gave me: 

For the case of 802.3 2000 version I think it may interface directly to the managed  attribute defined in 5.2.2.1.8 aOctetsTransmittedOK

its definition in 5.2.4.3 Receive variables and procedures
octetsReceivedOK: CounterLarge; {recommended}

and CounterLarge ...

5.2.4.1 Common constants and types

... 
maxLarge = 4294967295; {maximum value (232 - 1) of wraparound 32-bit counter}
max64 = 18446744073709551615; {maximum value (264 - 1) of wraparound 64-bit counter}

....

type
CounterLarge = 0..maxLarge--See footnote.;
....
 
Could not find the footnote mentioned

My question is there any methodology to find what interfaces ( mainly Ethernet) may or can report HC counters?

Or Do I need to go IEEE 802.x forums to find a clear IF-MIB matching support ? since 802.3 seems not require that?

At least RFC 2665 matches the 802.3 management layer for Ether-Like dot3 counters but not for IF-MIB attributes 
Thanks

+----------------------------------+
Eduardo Cardona
Project Engineer, Broadband Access 
CableLabs
400 Centennial Parkway
Louisville, CO 80027-1266
Phone: 303-664-8114
Fax: 303-661-3830
Email: [email-masked]
+----------------------------------+

_______________________________________________
ifmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ifmib

---

From: "C. M. Heard" <[email-masked]>
Date: Fri, 16 Aug 2002 16:50:58 -0700 (PDT)

On Fri, 16 Aug 2002, Eduardo Cardona wrote:

> Since RFC 1573 IfHC counters are supported. But I am not sure if
> It can apply to ethernet iftype(6) interfaces ( for 100 mpbs and up)

What is unclear?  RFC 1573 and its most recent replacement, RFC 2863,
both specify that

   For interfaces that operate at 20,000,000 (20 million) bits per
   second or less, 32-bit byte and packet counters MUST be supported.
   For interfaces that operate faster than 20,000,000 bits/second, and
   slower than 650,000,000 bits/second, 32-bit packet counters MUST be
   supported and 64-bit octet counters MUST be supported.  For
   interfaces that operate at 650,000,000 bits/second or faster, 64-bit
   packet counters AND 64-bit octet counters MUST be supported.

> My question is Must ethernet type of Interfaces >20  Mbps support HC
> counters as defined in RFC6863?  [presumably that should be RFC 2863]

Yes;  the paragraph quoted above applies to all interface types,
and in particular to Ethernet interface types, which are identified
by ifType being equal to ethernetCsmacd(6).

> For the case of 802.3 2000 version I think it may interface directly to the
> managed  attribute defined in 5.2.2.1.8 aOctetsTransmittedOK
> 
> My question is there any methodology to find what interfaces (mainly
> Ethernet) may or can report HC counters?
> 
> Or Do I need to go IEEE 802.x forums to find a clear IF-MIB matching support?
> since 802.3 seems not require that?
> 

No, you do NOT go to the IEEE 802.x forums or documents to figure out what
interfaces should support HC counters;  you look in RFC 2863, and in the
relevant IETF media-specific extensions to it.  For Ethernet interfaces
the media-specific extentions are in the EtherLike-MIB and MAU-MIB.  They
are currenty published as RFC 2665 and RFC 2668 respectively, but are
expected to be replaced by draft-ietf-hubmib-etherif-mib-v3-02.txt and
draft-ietf-hubmib-mau-mib-v3-02.txt.  The new drafts add support for
10Gb/s (10GBASE-R, 10GBASE-W, 10GBASE-X) interfaces and also provide some
media-specific high-capacity (Counter64) objects to supplement the generic
high-capacity objects in the IF-MIB.  The situations in which the high
capacity objects need to be used are spelled out in the conformance
statements of the MIB modules.  Note that the new EtherLike-MIB and
MAU-MIB drafts contain updated sections on the mapping between IETF and
IEEE managed objects;  this might help to alleviate some of your confusion.

Regards,

Mike